## fcamera 0.1.1-1

=== debian/changelog ===
fcamera (0.1.1-1) unstable; urgency=low

  * Fixed the icon location

 -- Andrew Adams <abadams@stanford.edu>  Tue, 20 Jul 2010 8:10:00 -0700
	

fcamera (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Adams <abadams@stanford.edu>  Tue, 20 Jul 2010 10:30:00 -0700
