=== debian/control ===
Source: fcamera
Section: user/multimedia
Priority: extra
Maintainer: David Jacobs <dejacobs@cs.stanford.edu>
Build-Depends: libqt4-dev, pulseaudio-dev, fcam-dev, debhelper (>= 5)
Standards-Version: 3.7.3
Homepage: http://fcam.garage.maemo.org/

Package: fcamera
Architecture: armel
Depends: fcam-drivers, ${shlibs:Depends}, ${misc:Depends}
Description: A camera for the N900 with manual controls
 FCamera is an example application for the FCam API. It is a camera with full manual controls that shoots raw.
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 fcamera/src/data/48x48/fcamera.png
Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKRGlDQ1BJQ0MgUHJvZmlsZQAAeAGd
 lndUFNcXx9/MbC+0XZYiZem9twWkLr1IlSYKy+4CS1nWZRewN0QFIoqICFYkKGLAaCgSK6JYCAgW
 7AEJIkoMRhEVlczGHPX3Oyf5/U7eH3c+8333nnfn3vvOGQAoASECYQ6sAEC2UCKO9PdmxsUnMPG9
 AAZEgAM2AHC4uaLQKL9ogK5AXzYzF3WS8V8LAuD1LYBaAK5bBIQzmX/p/+9DkSsSSwCAwtEAOx4/
 l4tyIcpZ+RKRTJ9EmZ6SKWMYI2MxmiDKqjJO+8Tmf/p8Yk8Z87KFPNRHlrOIl82TcRfKG/OkfJSR
 EJSL8gT8fJRvoKyfJc0WoPwGZXo2n5MLAIYi0yV8bjrK1ihTxNGRbJTnAkCgpH3FKV+xhF+A5gkA
 O0e0RCxIS5cwjbkmTBtnZxYzgJ+fxZdILMI53EyOmMdk52SLOMIlAHz6ZlkUUJLVlokW2dHG2dHR
 wtYSLf/n9Y+bn73+GWS9/eTxMuLPnkGMni/al9gvWk4tAKwptDZbvmgpOwFoWw+A6t0vmv4+AOQL
 AWjt++p7GLJ5SZdIRC5WVvn5+ZYCPtdSVtDP6386fPb8e/jqPEvZeZ9rx/Thp3KkWRKmrKjcnKwc
 qZiZK+Jw+UyL/x7ifx34VVpf5WEeyU/li/lC9KgYdMoEwjS03UKeQCLIETIFwr/r8L8M+yoHGX6a
 axRodR8BPckSKPTRAfJrD8DQyABJ3IPuQJ/7FkKMAbKbF6s99mnuUUb3/7T/YeAy9BXOFaQxZTI7
 MprJlYrzZIzeCZnBAhKQB3SgBrSAHjAGFsAWOAFX4Al8QRAIA9EgHiwCXJAOsoEY5IPlYA0oAiVg
 C9gOqsFeUAcaQBM4BtrASXAOXARXwTVwE9wDQ2AUPAOT4DWYgSAID1EhGqQGaUMGkBlkC7Egd8gX
 CoEioXgoGUqDhJAUWg6tg0qgcqga2g81QN9DJ6Bz0GWoH7oDDUPj0O/QOxiBKTAd1oQNYSuYBXvB
 wXA0vBBOgxfDS+FCeDNcBdfCR+BW+Bx8Fb4JD8HP4CkEIGSEgeggFggLYSNhSAKSioiRlUgxUonU
 Ik1IB9KNXEeGkAnkLQaHoWGYGAuMKyYAMx/DxSzGrMSUYqoxhzCtmC7MdcwwZhLzEUvFamDNsC7Y
 QGwcNg2bjy3CVmLrsS3YC9ib2FHsaxwOx8AZ4ZxwAbh4XAZuGa4UtxvXjDuL68eN4KbweLwa3gzv
 hg/Dc/ASfBF+J/4I/gx+AD+Kf0MgE7QJtgQ/QgJBSFhLqCQcJpwmDBDGCDNEBaIB0YUYRuQRlxDL
 iHXEDmIfcZQ4Q1IkGZHcSNGkDNIaUhWpiXSBdJ/0kkwm65KdyRFkAXk1uYp8lHyJPEx+S1GimFLY
 lESKlLKZcpBylnKH8pJKpRpSPakJVAl1M7WBep76kPpGjiZnKRcox5NbJVcj1yo3IPdcnihvIO8l
 v0h+qXyl/HH5PvkJBaKCoQJbgaOwUqFG4YTCoMKUIk3RRjFMMVuxVPGw4mXFJ0p4JUMlXyWeUqHS
 AaXzSiM0hKZHY9O4tHW0OtoF2igdRzeiB9Iz6CX07+i99EllJWV75RjlAuUa5VPKQwyEYcgIZGQx
 yhjHGLcY71Q0VbxU+CqbVJpUBlSmVeeoeqryVYtVm1Vvqr5TY6r5qmWqbVVrU3ugjlE3VY9Qz1ff
 o35BfWIOfY7rHO6c4jnH5tzVgDVMNSI1lmkc0OjRmNLU0vTXFGnu1DyvOaHF0PLUytCq0DqtNa5N
 03bXFmhXaJ/RfspUZnoxs5hVzC7mpI6GToCOVGe/Tq/OjK6R7nzdtbrNug/0SHosvVS9Cr1OvUl9
 bf1Q/eX6jfp3DYgGLIN0gx0G3QbThkaGsYYbDNsMnxipGgUaLTVqNLpvTDX2MF5sXGt8wwRnwjLJ
 NNltcs0UNnUwTTetMe0zg80czQRmu836zbHmzuZC81rzQQuKhZdFnkWjxbAlwzLEcq1lm+VzK32r
 BKutVt1WH60drLOs66zv2SjZBNmstemw+d3W1JZrW2N7w45q52e3yq7d7oW9mT3ffo/9bQeaQ6jD
 BodOhw+OTo5ixybHcSd9p2SnXU6DLDornFXKuuSMdfZ2XuV80vmti6OLxOWYy2+uFq6Zroddn8w1
 msufWzd3xE3XjeO2323Ineme7L7PfchDx4PjUevxyFPPk+dZ7znmZeKV4XXE67m3tbfYu8V7mu3C
 XsE+64P4+PsU+/T6KvnO9632fein65fm1+g36e/gv8z/bAA2IDhga8BgoGYgN7AhcDLIKWhFUFcw
 JTgquDr4UYhpiDikIxQODQrdFnp/nsE84by2MBAWGLYt7EG4Ufji8B8jcBHhETURjyNtIpdHdkfR
 opKiDke9jvaOLou+N994vnR+Z4x8TGJMQ8x0rE9seexQnFXcirir8erxgvj2BHxCTEJ9wtQC3wXb
 F4wmOiQWJd5aaLSwYOHlReqLshadSpJP4iQdT8YmxyYfTn7PCePUcqZSAlN2pUxy2dwd3Gc8T14F
 b5zvxi/nj6W6pZanPklzS9uWNp7ukV6ZPiFgC6oFLzICMvZmTGeGZR7MnM2KzWrOJmQnZ58QKgkz
 hV05WjkFOf0iM1GRaGixy+LtiyfFweL6XCh3YW67hI7+TPVIjaXrpcN57nk1eW/yY/KPFygWCAt6
 lpgu2bRkbKnf0m+XYZZxl3Uu11m+ZvnwCq8V+1dCK1NWdq7SW1W4anS1/+pDa0hrMtf8tNZ6bfna
 V+ti13UUahauLhxZ77++sUiuSFw0uMF1w96NmI2Cjb2b7Dbt3PSxmFd8pcS6pLLkfSm39Mo3Nt9U
 fTO7OXVzb5lj2Z4tuC3CLbe2emw9VK5YvrR8ZFvottYKZkVxxavtSdsvV9pX7t1B2iHdMVQVUtW+
 U3/nlp3vq9Orb9Z41zTv0ti1adf0bt7ugT2ee5r2au4t2ftun2Df7f3++1trDWsrD+AO5B14XBdT
 1/0t69uGevX6kvoPB4UHhw5FHupqcGpoOKxxuKwRbpQ2jh9JPHLtO5/v2pssmvY3M5pLjoKj0qNP
 v0/+/tax4GOdx1nHm34w+GFXC62luBVqXdI62ZbeNtQe395/IuhEZ4drR8uPlj8ePKlzsuaU8qmy
 06TThadnzyw9M3VWdHbiXNq5kc6kznvn487f6Iro6r0QfOHSRb+L57u9us9ccrt08rLL5RNXWFfa
 rjpebe1x6Gn5yeGnll7H3tY+p772a87XOvrn9p8e8Bg4d93n+sUbgTeu3px3s//W/Fu3BxMHh27z
 bj+5k3Xnxd28uzP3Vt/H3i9+oPCg8qHGw9qfTX5uHnIcOjXsM9zzKOrRvRHuyLNfcn95P1r4mPq4
 ckx7rOGJ7ZOT437j154ueDr6TPRsZqLoV8Vfdz03fv7Db56/9UzGTY6+EL+Y/b30pdrLg6/sX3VO
 hU89fJ39ema6+I3am0NvWW+738W+G5vJf49/X/XB5EPHx+CP92ezZ2f/AAOY8/xJsCmYAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAK60lEQVRoBdVZa3BV1RX+zsl9hEcIUAl5gSVPS3gHKYNVaa1CQaFo
 B6Utai04ONOq2GFGpyAUsWVEZVqLw0to1emDhzzVP21FCVolQSAQIPKoBAiCARLI496b3PT79slJ
 Qrwk94I/ZGXOuWfvs/e3Hnuttdc+sRobG3E9k309Cy/Zr3sFPF/DCljE0HU1JP+9Jh++VgUk+LUK
 4WJcjQFwLQrI/cKBQCAHtn1HQzjcGGfbjfxtdzXcMfy1EA7/2+/3lxLHYF2NBm0VEPN2BWhiIquH
 9dxo2zPjvd4ZdcEgZQ/HdTSZY2BbVoPf642rC4WWEuIxwfDS1JjdybqWNErrZzZa1gd+ny81EAzC
 6/WiIzzLshAKhcA54JxTFOA2rsIRCh/Hq4FXTKQV0CVreoLB4DgKlMbn+rauoKVnvzEwmb7v8/kO
 sD02XsKHQg0UzL506RK7Oqb4+HgEQ6Gw5tYEAmM449WioiL7Yn6+NTrGVbhsBeoCgW3xfv/tdAcp
 ZLvWlNVI1M0QtWuY0Nnv30IX+JjuM6KeflFSUmJPe/gXSE1Po2tz+lc2SAt2nI1TJ05g5eq/oH9e
 /7DHtm3y+oiKjBKDqyEPhZhKQespWjwsK7XJCe24uDjGpu04JYWhUI71qYxl23fWBgIZnHNzA99x
 5az1a9ZiZ1EhoKsDWr92LbKyn7Esv18jR1CJZ8j3KPF8HfpgG2yLgrQOHOriNBsaGqBLRGB4PB4F
 nxtl1MGWUo1U1DpdXo6Hpz6IPTsL0SezH0LBUBs2TtPr8+LEkf9h8Ih8rH79dSSnpKC+vh4yllm1
 iLO+2il5XKJMtGjTJWEYiJbX57N2bC+wxo8Za907YaI1f948q6qqigbzW1REYwxTjfdRsR0FO/De
 +9uQ3DcdtTW1NKJJUC4P86s+vevdJw3/2baNcwqguTKMFBBmhxcDX2NcefXrMSaXQjR8RUWFpQwh
 S5eXn8KOjz40zBMSEiArN9K3ZTFONOsk7ZmJUFCw3Yzr2rUrvjz7JUpp5UiUceO30b1Hd/OqYHsB
 vjtyJGgUhClEi00jzXT65B1MHkjs3t0oobZVU1cnN4AE+ePixdi7Zw8SEroZBY4ePsyBNromdEV2
 Tg78zB6NYWpqFG5EHK13+lQ5Pj92DJWVlThxutxwGn3b7Ujvk45OnTqZdm1tLU6UncC2D9437fTk
 FCQmJuLGjH7GjRpoFDJypLzCnVkQFy9exKDBg/HEzJlGcbm42ci0FNLmQEkJ1q5bZyASbC960yWU
 ms+e/gKFu3ZFhE5L6o2TZ75AHhX81ZNPYNCgwcgbOAA9evRo9mvFy/nz57G/eB/27t2DN1atxv5D
 B3GuogLlX56NiHulTrmQsXyTwkYBha30l6uIhlLLmkvVxl3UZkygf26uWQ21BSDfVeDtO1CC+b+b
 j3smTmBqzDN+rTFtKaFLF/RNT8cdd/4QY8aOxdYtWzBnzhzk3fQdEwNNrtl2WnPb5/fhU+MdjowU
 wZBRQE9qu5kgUBdoFt6842j1uc8SXgxLjxzGm2++SeEnohv9nxsaPi8rw66iIhw7etTsuJojq/XL
 yMCw/HwkJydjCA2UkZmJrKwsTJkyBVn9MpiyLdSHTHwZPm1vMprIldHZUp1duO3YdtuKF+ZQHDr8
 GTZs2IC7J0yA/PMUg/zdd97ByuXLsfuTT1DXBkUZf+iIEZj26KP40bhxSGEK/cnkydCuPGnSJORm
 ZcecTsUi5gNNPANTwi9btgx3jRkL7qYo3rcPM6ZPx7Rp0/DfCMKLkdZP7zRGY4uLi83cu8aMMVjC
 FHas1OxC0UxUCttfsh/3/ngSxo0fj86d4nGotBS/+fXjyMzOxksvvUw3CJkYiYRn8jbdqfTgQTz1
 +BNYsmwpchn8whLmxo0bkJudo5090vSIfTEp4GUgaYua+tBDSE9LQyXT2msrVuJf297DwpdexICB
 A43fS9CvEF24kX+Kh320/nDGg+b+9tk5BkuYb1EB8YhFgahdSL66l67ywOT7MXTYMBP0uwqLsOjF
 Rbh5WL6pmyTcFS+WEe47pdXhxNBcYSg8hXk/scVD+020FLUCSqWiobRc3759UF1Tg62bN5s+bSjK
 Dq0vZQ219RvpCjc45cYWYghLmMPyhxk8l5dpdHCLyoXkEioxRL169TIZrIZMP2PgiZwU57iNrFvH
 nXcXN74LFy6YzMIBzjjePcxix7hz19c7eAcPHICwunbubLA1UHHkbq5mYju3GBRwAkslgOjkyZMs
 D8rMs8nNlF+KKM1e5MFm1uMzUVS827yPdMvNzEJSYnec5PlAWEk33MDywqmTQqHg16uABGDNauRw
 K80QM4XKZscHFaEsrLhScqcEbmqL/rS4ZQWaNJCC2gS1yS1d8iqCtQGoDhKWKNxcxYqXs2rmRTu3
 qFZA8x034cZBFxGpUOvcpbNzsne3RfZrNRSEo265xcxpzkgUXiIpkPfs3o2Vy5bjQrAWOSwU3aLP
 xZYxoqWogthYjoxF7rk3lWlU8SBqZmxaLTf1SwFztX5mnztHGMISVTedqT3k5RqsBS3yU9QKaBMT
 letcwF/V8UOGOlmj1QKYMbrJlZTPFfxtL9VRLglDWMJUOSISr2gViNqFdF4Q7di+HZPuuw/ZLMbG
 33M3nv/988Yt9E5MZdlL3OCUHnUGaC2MnCjOjsNpnhtc1xKGMtBnR47gQ2KLXF6m0cEtagWCVGBQ
 3gBs3roVj86YYRRQ+Txn9mw8t2CBsaKXGYhpCJWMg01vbcTGLZsisu+bkorjPPHNmzvXlOAapPJC
 2OLhulLEyW06o1ZA85TeRG/89XUMGjIEfei7j7AwO368jFXoCpYSA4zr6ORUVVXJMrkfq81OJrCV
 V/ipg4HfBR/v/AQPTp2Khx55BIk8g5QxjQpT5PIwjShuMSmgM8HA/nn459o1GDlqFEvj6dxB+2L2
 3GfxHK05ncq4lJORyVWJN8KbPgauLFvMYvAxruBTs2aZuZe4ia1fu85gCltjXPdysdr7jUkBAWuX
 zeEmNHPmk0hLSzXngUweVl54+WXc/v0fYOkrr2Dn7k9RelRfCy+nATm5WLFihZnTOykJ/JCGd99+
 22AJU9ixCC/0KyugXEyB25Kyi3xdfjyZB5LXVq3CRJ7IejMd/mzqz6nEaJQdP24qzqrKKjO9W2I3
 U6n24Wql81jJD7uoOHcOmzZtwi/pRsKS4PziF1mBdvaFyxRwc7OPaa09Urbp/q2eSKBgEuDw00/j
 gSk/5ZkgC5n0e13ayKSsSOWFvgGJqmnlQwcO4h9//xv+sHAh8nJvQpzXY3b19g40rkyujCbvEs+g
 unaurq42THbzy0EsJEF0LWA2Gj58OJJ6J6MnFezB7zeiMyzqzlWcw5kvTqOwsBCzmblc0teJWMiV
 0XUOo4AsqiVMSU3Fbbfeip49ezZbr2Nwy1hYGOvWrMHyPy/B90aPRnJqCnfqJDP97Nkz5vtRAb/I
 9UzqhYkTJhp+zgpFVzZoFc/R7SSjZBU/kb6NNn8H1M7pvjBvY7zpix7RjfLu2UAQWnZdEoIM9CUu
 RuSW4RLerQrUa/FTCGV2VkBMWmvXMi22J2GI3F/XKO5vbGgto13ZnIOSsRU8ppbnGIE7L6SMOlom
 xvLU0TQ33mLBNGM5UQvnGkV9anvYMaM1WPOAq+R0ldNai3DF56aFvez9Zf+huezNddJQFoqqpP6m
 6iMFmrPQN1XI9uS6rq0vxa57Bf4PlDrTILAeLGcAAAAASUVORK5CYII=
