## fcamera 0.1.1-2

=== debian/changelog ===
fcamera (0.1.1-2) unstable; urgency=low

  * Packaging fixes: missing bugtracker, pretty name, app install icon

 -- Eino-Ville Talvala <talvala@stanford.edu>  Tue, 20 Jul 2010 8:50:00 -0700
