=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
 Package: fcamera
 Architecture: armel
 Depends: fcam-drivers, ${shlibs:Depends}, ${misc:Depends}
+XB-Maemo-Display-Name: FCamera
 Description: A camera for the N900 with manual controls
- FCamera is an example application for the FCam API. It is a camera with full manual controls that shoots raw.
+ FCamera is an example application for the FCam API. It is a camera with full manual controls that shoots RAW images.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1693
 # XB-Maemo-Icon-26 field contains the application icon file encoded in
 # base64. This is the icon that is shown in the Application Manager,
 # next to the package name. To perform this encoding use following mad
 # command: $ mad base64 <48x48 icon file name>
 # For example following XB-Maemo-Icon-26 field content is an output
 # from command: $ mad base64 fcamera/src/data/48x48/fcamera.png
-Maemo-Icon-26:
+XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAKRGlDQ1BJQ0MgUHJvZmlsZQAAeAGd
  lndUFNcXx9/MbC+0XZYiZem9twWkLr1IlSYKy+4CS1nWZRewN0QFIoqICFYkKGLAaCgSK6JYCAgW
  7AEJIkoMRhEVlczGHPX3Oyf5/U7eH3c+8333nnfn3vvOGQAoASECYQ6sAEC2UCKO9PdmxsUnMPG9
