## fcamera 0.1.2-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: fcamera
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jul 20 20:15:51 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 21 16:33:51 2010
 # Project:  fcamera.pro
 # Template: app
 # Command: c:/NokiaQtSDK/Maemo/4.6.2/targets/fremantle-pr12/bin/qmake.exe -unix -o Makefile fcamera.pro
