=== debian/changelog ===
fcamera (0.1.2-1) unstable; urgency=low

  * Added user-friendly dialog messages for missing driver errors

 -- David Jacobs <dejacobs@cs.stanford.edu>  Wed, 21 Jul 2010 4:05:00 -0700
 
 
