=== debian/changelog ===
fcamera (0.1.3-1) unstable; urgency=low

  * Fixed bug causing crash when deleting last photo while zoomed in.

  * Fixed overlay so that it restores original colorkey on destruction. This eliminates the green flash problem.

  * Added a trash feature to replace outright deletion. Photos are tagged as trash and removed from the review screen. Later they can be restored or deleted permanently in the extended settings file management tab.

  * Fixed in fcam-dev: DNG metadata corruption fixed, corrects cyan DNG rendering in DNG readers.

 -- David Jacobs <dejacobs@cs.stanford.edu>  Thu, 22 Jul 2010 3:50:00 -0700
