## fcamera 0.1.6-1

=== Makefile ===
#############################################################################
# Makefile for building: build/fcamera
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Aug 16 16:11:50 2010
# Project:  fcamera.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile fcamera.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -mfpu=neon -mfloat-abi=softfp -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lFCam -ljpeg -lpulse-simple -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/Viewfinder.cpp \
		src/ThumbnailView.cpp \
		src/ImageItem.cpp \
		src/OverlayWidget.cpp \
		src/CameraThread.cpp \
		src/ScrollArea.cpp \
		src/CameraParameters.cpp \
		src/AdjustmentWidget.cpp \
		src/SettingsTree.cpp \
		src/SplashDialog.cpp \
		src/ExtendedSettings.cpp \
		src/SoundPlayer.cpp \
		src/UserDefaults.cpp \
		src/VisualizationWidget.cpp \
		src/PanicHandler.cpp \
		src/LEDBlinker.cpp \
		src/FCamera.cpp build/moc_Viewfinder.cpp \
		build/moc_ThumbnailView.cpp \
		build/moc_ImageItem.cpp \
		build/moc_CameraThread.cpp \
		build/moc_ScrollArea.cpp \
		build/moc_CameraParameters.cpp \
		build/moc_SettingsTree.cpp \
		build/moc_AdjustmentWidget.cpp \
		build/moc_SplashDialog.cpp \
		build/moc_ExtendedSettings.cpp \
		build/moc_VisualizationWidget.cpp \
		build/moc_PanicHandler.cpp
OBJECTS       = build/Viewfinder.o \
		build/ThumbnailView.o \
		build/ImageItem.o \
		build/OverlayWidget.o \
		build/CameraThread.o \
		build/ScrollArea.o \
		build/CameraParameters.o \
		build/AdjustmentWidget.o \
		build/SettingsTree.o \
		build/SplashDialog.o \
		build/ExtendedSettings.o \
		build/SoundPlayer.o \
		build/UserDefaults.o \
		build/VisualizationWidget.o \
		build/PanicHandler.o \
		build/LEDBlinker.o \
		build/FCamera.o \
		build/moc_Viewfinder.o \
		build/moc_ThumbnailView.o \
		build/moc_ImageItem.o \
		build/moc_CameraThread.o \
		build/moc_ScrollArea.o \
		build/moc_CameraParameters.o \
		build/moc_SettingsTree.o \
		build/moc_AdjustmentWidget.o \
		build/moc_SplashDialog.o \
		build/moc_ExtendedSettings.o \
		build/moc_VisualizationWidget.o \
		build/moc_PanicHandler.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		fcamera.pro
QMAKE_TARGET  = fcamera
DESTDIR       = build/
TARGET        = build/fcamera

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fcamera.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile fcamera.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile fcamera.pro

dist: 
	@$(CHK_DIR_EXISTS) build/fcamera1.0.0 || $(MKDIR) build/fcamera1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/fcamera1.0.0/ && $(COPY_FILE) --parents src/Viewfinder.h src/ThumbnailView.h src/ImageItem.h src/OverlayWidget.h src/CameraThread.h src/ScrollArea.h src/CameraParameters.h src/SettingsTree.h src/AdjustmentWidget.h src/SplashDialog.h src/ExtendedSettings.h src/SoundPlayer.h src/UserDefaults.h src/VisualizationWidget.h src/PanicHandler.h src/LEDBlinker.h build/fcamera1.0.0/ && $(COPY_FILE) --parents src/Viewfinder.cpp src/ThumbnailView.cpp src/ImageItem.cpp src/OverlayWidget.cpp src/CameraThread.cpp src/ScrollArea.cpp src/CameraParameters.cpp src/AdjustmentWidget.cpp src/SettingsTree.cpp src/SplashDialog.cpp src/ExtendedSettings.cpp src/SoundPlayer.cpp src/UserDefaults.cpp src/VisualizationWidget.cpp src/PanicHandler.cpp src/LEDBlinker.cpp src/FCamera.cpp build/fcamera1.0.0/ && (cd `dirname build/fcamera1.0.0` && $(TAR) fcamera1.0.0.tar fcamera1.0.0 && $(COMPRESS) fcamera1.0.0.tar) && $(MOVE) `dirname build/fcamera1.0.0`/fcamera1.0.0.tar.gz . && $(DEL_FILE) -r build/fcamera1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d -I\.svn; mv ../$(QMAKE_TARGET)_*{.dsc,.tar.gz,_source.changes} .

debian-bin:
	dpkg-buildpackage -b -r -uc -d; mv ../$(QMAKE_TARGET)_*_armel.{deb,changes} .

compiler_clean:
	-$(DEL_FILE) $(TARGET)

go: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 run $(QMAKE_TARGET)

gobug: $(TARGET)
	mad remote -r N900 send $(TARGET); mad remote -r N900 debug $(QMAKE_TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_Viewfinder.cpp build/moc_ThumbnailView.cpp build/moc_ImageItem.cpp build/moc_CameraThread.cpp build/moc_ScrollArea.cpp build/moc_CameraParameters.cpp build/moc_SettingsTree.cpp build/moc_AdjustmentWidget.cpp build/moc_SplashDialog.cpp build/moc_ExtendedSettings.cpp build/moc_VisualizationWidget.cpp build/moc_PanicHandler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_Viewfinder.cpp build/moc_ThumbnailView.cpp build/moc_ImageItem.cpp build/moc_CameraThread.cpp build/moc_ScrollArea.cpp build/moc_CameraParameters.cpp build/moc_SettingsTree.cpp build/moc_AdjustmentWidget.cpp build/moc_SplashDialog.cpp build/moc_ExtendedSettings.cpp build/moc_VisualizationWidget.cpp build/moc_PanicHandler.cpp
build/moc_Viewfinder.cpp: src/SettingsTree.h \
		src/AdjustmentWidget.h \
		src/OverlayWidget.h \
		linux/omapfb.h \
		src/CameraParameters.h \
		src/ImageItem.h \
		src/Viewfinder.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/Viewfinder.h -o build/moc_Viewfinder.cpp

build/moc_ThumbnailView.cpp: src/ImageItem.h \
		src/ThumbnailView.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ThumbnailView.h -o build/moc_ThumbnailView.cpp

build/moc_ImageItem.cpp: src/ImageItem.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ImageItem.h -o build/moc_ImageItem.cpp

build/moc_CameraThread.cpp: src/ImageItem.h \
		src/CameraParameters.h \
		src/CameraThread.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/CameraThread.h -o build/moc_CameraThread.cpp

build/moc_ScrollArea.cpp: src/ScrollArea.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/ScrollArea.h -o build/moc_ScrollArea.cpp

build/moc_CameraParameters.cpp: src/CameraParameters.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/CameraParameters.h -o build/moc_CameraParameters.cpp

build/moc_SettingsTree.cpp: src/SettingsTree.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/SettingsTree.h -o build/moc_SettingsTree.cpp

build/moc_AdjustmentWidget.cpp: src/OverlayWidget.h \
		linux/omapfb.h \
		src/CameraParameters.h \
		src/SettingsTree.h \
		src/AdjustmentWidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/AdjustmentWidget.h -o build/moc_AdjustmentWidget.cpp
