=== debian/changelog ===
fcamera (0.1.6-1) unstable; urgency=low

  * Added an LED blinking device to blink the front LED when a picture is taken

  * Fixed in fcam-dev: DNGs now understood by 2010 Adobe Raw process and dcraw. Fixed a bug in color interpretation in Adobe Raw process. Various performance improvements and bugfixes (see the fcam-dev changelog).
	
 -- Andrew Adams <abadams@stanford.edu>  Mon, 16 Aug 2010 13:35:00 -0700

fcamera (0.1.5-1) unstable; urgency=low

  * Added widgets to visualization extended settings for turning on and off capture sound/animation.
  
  * Changed trigger for capture animations to only fire once per burst captured.

 -- David Jacobs <dejacobs@cs.stanford.edu>  Mon, 16 Aug 2010 13:35:00 -0700
 

fcamera (0.1.4-1) unstable; urgency=low

  * Added snapshot animation showing photos being added to the thumbnail view.

  * Added warning message informing the user when the lens cover is closed.
  
  * Modified the overlay cleanup code to fix green flashing problem without requiring a reboot.

 -- David Jacobs <dejacobs@cs.stanford.edu>  Tue, 10 Aug 2010 5:35:00 -0700
 
