=== debian/changelog ===
fcamera (0.1.7-1) unstable; urgency=low

  * "Fixed" in fcam-dev: Thumbnails are now readable by dcraw (and derived libraries like libraw). Once again, dcraw fails to follow the tiff spec.
	
  * Made the LED blinker clean up after itself (so that regular notifications work after using fcamera), and gave it better error handling.

 -- Andrew Adams <abadams@stanford.edu>  Thu, 23 Sep 2010 15:31:00 -0700	
	
