=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: David Jacobs <dejacobs@cs.stanford.edu>
-Build-Depends: libqt4-dev, pulseaudio-dev, fcam-dev, debhelper (>= 5)
+Build-Depends: libqt4-dev, pulseaudio-dev, fcam-dev, libjpeg62-dev, debhelper (>= 5)
 Standards-Version: 3.7.3
 Homepage: http://fcam.garage.maemo.org/
