=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 
-	qmake
+	qmake fcamera.pro
 	touch configure-stamp
